clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::TextDocumentContentChangeEvent Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::TextDocumentContentChangeEvent:
[legend]

## Public Attributes
llvm::Optional< Range > | range
| The range of the document that changed. More...
llvm::Optional< int > | rangeLength
| The length of the range that got replaced. More...
std::string | text
| The new text of the range/document. More...

## Detailed Description

Definition at line 450 of file Protocol.h.

## Member Data Documentation

## ◆ range

llvm::Optional<Range> clang::clangd::TextDocumentContentChangeEvent::range

The range of the document that changed.

Definition at line 452 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

## ◆ rangeLength

llvm::Optional<int> clang::clangd::TextDocumentContentChangeEvent::rangeLength

The length of the range that got replaced.

Definition at line 455 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

## ◆ text

std::string clang::clangd::TextDocumentContentChangeEvent::text

The new text of the range/document.

Definition at line 458 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

The documentation for this struct was generated from the following file:

- Protocol.h